unknown conduit in configure

Bug #569601 reported by Sergey Klimov on 2010-04-24
72
This bug affects 12 people
Affects Status Importance Assigned to Milestone
gnome-pilot (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gnome-pilot

after upgrade, in any sync there are bunch of fatal error windows: "unknown conduit in configure: *" where * is name of all enabled conduits. no one conduit works.
in console:

darvin@darvin-laptop:~$ gpilotd
gpilotd-Message: gnome-pilot 2.0.17 starting...
gpilotd-Message: compiled for pilot-link version 0.12.4
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network] [Bluetooth]
gpilotd-Message: Activating CORBA server
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching Cradle (usb:)
gpilotd-Message: corba: get_pilots(...)
gpilotd-Message: corba: get_pilots(...)
gpilotd-Message: Client seems ok
gpilotd-Message: Client seems ok
gpilotd-Message: monitor_on(pilot_name="MyPDA",client_id = IOR:010000001b000000...)
gpilotd-Message: corba: notify_on(event_type=CONNECT,callback=IOR:010000001b000000...)
gpilotd-Message: corba: notify_on(event_type=CONDUIT,callback=IOR:010000001b000000...)
gpilotd-Message: corba: notify_on(event_type=DISCONNECT,callback=IOR:010000001b000000...)
gpilotd-Message: Found 4766, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0502, 0736
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 091e, 0004
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 115e, f100
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0100
gpilotd-Message: Using net FALSE
gpilotd-Message: Found 082d, 0200
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0300
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0c88, 0021
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0002
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0003
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0020
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0031
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0040
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0050
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0060
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0061
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0070
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0080
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 8001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 6601
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0038
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0066
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0095
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 009a
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00c9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00da
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00e9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0144
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0169
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 12ef, 0100
gpilotd-Message: Using net TRUE
gpilotd-Message: setting PILOTRATE=57600
gpilotd-Message: Device Cradle has 0 events
gpilotd-Message: corba: orbed_notify_user, notifications->connect.size = 1, id = MyPDA
gpilotd-Message: Instantiating 2 conduits...

(gpilotd:4692): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table != NULL' failed

(gpilotd:4692): gpilotd-WARNING **: Unknown conduit, name="gpfile1"
gpilotd-Message: Unknown conduit "gpfile1" in configure!

(gpilotd:4692): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table != NULL' failed

(gpilotd:4692): gpilotd-WARNING **: Unknown conduit, name="gptime1"
gpilotd-Message: Unknown conduit "gptime1" in configure!
gpilotd-Message: Instantiated 0 backup conduits, 0 file conduits, 0 other conduits
gpilotd-Message: HotSync button pressed, synchronizing PDA
gpilotd-Message: PDA ID is 1000, name is MyPDA, owner is kracked dude

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry
gpilotd-Message: Pilot has 0 entries in restore queue

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry

(gpilotd:4692): gpilotd-WARNING **: Error in queue, non-existing entry
gpilotd-Message: Pilot has 0 entries in conduit queue
gpilotd-Message: Synchronization ended
gpilotd-Message: corba: orbed_notify_user, notifications->disconnect.size = 1, id = MyPDA
gpilotd-Message: setting PILOTRATE=57600

(gpilotd:4692): gpilotd-WARNING **: An error occurred while getting the PDA's system data

(gpilotd:4692): gpilotd-WARNING **: error -201 from pi_close.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: gnome-pilot 2.0.17-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Sun Apr 25 02:44:50 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
ProcEnviron:
 LANGUAGE=ru:ru_UA:en
 LANG=ru_UA.utf8
 SHELL=/bin/bash
SourcePackage: gnome-pilot

Related branches

Sergey Klimov (nbdarvin) wrote :
jarkko (cyber-thurston) wrote :

Hello,

I have same error when sync my palm z22, all conduits have the same errors.

Stefano Prenna (stefanoprenna) wrote :

Same issues on my Lucid with Kernel 2.6.32-22-generic with my Palm Centro

Kyle Montgomery (looshi08) wrote :

Same issue with my Palm TX on Lucid.

Takmadeus (takmadeus) wrote :

Idem, using Lucid, affects me too makes impossible to sync, it used to work on karmic

Matt Davey (mcdavey) wrote :

Is this still an issue, or has any recent kernel update (for example) fixed it?

If you are experiencing this bug, can you connect to your PDA using "pilot-xfer" or kpilot?

"pilot-xfer" is part of the pilot-link package. You can test it using, for example "pilot-xfer -p usb: -l"

Stefano Prenna (stefanoprenna) wrote :

Tested today on kernel 2.6.32-24-generic (lucid lynx) and "pilot-xfer -p usb: -l" is able to properly retrieve the list of databases on my Palm Centro...

Can I help doing further tests?

Thanks...

Matt Davey (mcdavey) wrote :

Hi Stefano,
My problem is that I haven't been able to reproduce this yet. My 10.04 setup works fine.
Did this break when upgrading from an earlier version of Ubuntu, or when upgrading packages? Any idea?

Here's some more info that might be helpful to narrow this down:
  Which gnome-pilot, gnome-pilot-conduits and evolution-common packages do you have?
  If you use "gpilotd-control-applet", do you see any conduits showing up in the conduits tab?
  Have you enabled the backup conduit, for example?
  Can you launch gpilotd in a terminal window, attempt a sync, and attach your terminal output to this bug?
  Does your PDA support bluetooth, or wifi? If so, you should try bluetooth or network connectivity.
  (long shot) Have you tried setting the USB timeout to zero in the config applet?
  (long shot) Have you tried starting gpilotd just before attempting to sync?

There are two odd things in the initial console output reported: it doesn't look like gnome-pilot found any conduits, and it seemed to have an error connecting to the PDA. The first problem suggests a badly built gnome-pilot package (but what's different on my system?) and the second problem suggests problems with the USB connection code, probably in pilot-link, which is why starting gnome-pilot just before you try to sync is worth a try, as that's more like the way pilot-xfer uses the underlying pilot-link USB code.

Stefano Prenna (stefanoprenna) wrote :
Download full text (7.2 KiB)

Ok, let's go one by one...

For me this is broken since some point on Karmic, but I can't remember any other detail...

I currently have installed:

gnome-pilot: 2.0.17-0ubuntu5
gnome-pilot-conduits: 2.0.15-1.2
evolution-common: 2.28.3-0ubuntu10

I have currently the Backup conduit enabled (if I enable the others I just receive more errors when launching the sync, and none of them works).

I've already put the USB timeout to 0 a couple of months ago, but nothing changed and yes, I've tried to launch gpilotd just before the sync...

Here you have the terminal output of gpilotd when in Bluetooth:

gpilotd-Message: gnome-pilot 2.0.17 starting...
gpilotd-Message: compiled for pilot-link version 0.12.4
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network] [Bluetooth]
gpilotd-Message: Activating CORBA server
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching Cradle (bluetooth)
gpilotd-Message: Found 4766, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0502, 0736
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 091e, 0004
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 115e, f100
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0100
gpilotd-Message: Using net FALSE
gpilotd-Message: Found 082d, 0200
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0300
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0c88, 0021
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0002
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0003
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0020
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0031
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0040
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0050
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0060
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0061
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0070
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0080
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 8001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 6601
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0038
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0066
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0095
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 009a
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00c9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00da
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00e9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0144
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0169
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 12ef, 0100
gpilotd-Message: Using net TRUE
gpilotd-Message: Woke on network: Cradle
gpilotd-Message: Device Cradle has 0 events
gpilotd-Message: Instantiating 1 conduits...

(gpilotd:5526): GLib-CRITICAL **: g_hash_table_lookup: assertion `hash_table != NULL' failed

...

Read more...

Matt Davey (mcdavey) wrote :

It'll be tomorrow at the earliest before I can look at this again.
Two more things to get us more information:
  1. If you create a completely new user account, so you start with a clean gnome-pilot configuration,
       are you able to sync successfully? Note: safest just to start with the backup conduit.
       (I'm wondering if there's something screwed up with your gnome-pilot configuration,
       perhaps in ~/.gnome2/gnome-pilot.d)
  2. I think I need to find out the cause of the "hash_table != NULL" assertion. I don't see that on
       my system and it looks like it's very relevant! You could try running "strace gpilotd" and
       sending the output. It could be long, so probably an attachment would work best.

Stefano Prenna (stefanoprenna) wrote :

1. I've created a brand new account and configured the USB connection with my Palm and enabled just the backup conduit: still same issue.

2. I'm attaching the system trace of gpilotd to this comment. Hopefully it will give you an idea on why is this happening...

Thank you

Matt Davey (mcdavey) wrote :

Thanks to Stefano for working with me on this one. It looks like the bug is caused by a badly named global variable, and that there is a straightforward fix.

The fix is now committed upstream:
  http://git.gnome.org/browse/gnome-pilot/patch/?id=8623d5c8e006bed922341f68b6f7eefac8e6a344

I'll see if I can get a .deb built against 10.04

Kyle Montgomery (looshi08) wrote :

I'm still having this issue in the 10.10 beta. Any progress on the fix?

Matt Davey (mcdavey) wrote :
Matt Davey (mcdavey) wrote :
Matt Davey (mcdavey) wrote :

Here are instructions for building a patched version of gnome-pilot with the fix mentioned above in comment #12.

try the following:
     1. If you haven't already done so, download the deb build utilities
        using "sudo apt-get install dpkg-dev"
     2. Download the gnome-pilot build dependencies using "sudo apt-get
        build-dep gnome-pilot"
     3. download the files attached to comment #16 and #17 above (gnome-pilot_2.0.17-0ubuntu6.diff.gz and
        gnome-pilot_2.0.17-0ubuntu6.dsc). Ignore the ones in #14 and #15!
     4. download gnome-pilot_2.0.17.orig.tar.gz from
        https://launchpad.net/ubuntu/jaunty/+source/gnome-pilot/2.0.17-0ubuntu1 into the same directory as
        the two files you downloaded in the step 3.
     5. Now unpack and apply the diff using "dpkg-source -x gnome-pilot_2.0.17-0ubuntu6.dsc"
     6. Now change directory into gnome-pilot-2.0.17 and run "dpkg-buildpackage -b". This should build
         three binary .deb files in the parent directory that you can install using "dpkg -i to build a binary .deb you should be able
        to install using "dpkg -i *deb"

Please post a comment if you have success/failure with the above.

handi (han-poptechs) wrote :

Thanks a lot, this solution solved the problem !

Stefano Prenna (stefanoprenna) wrote :

Tested today and everything worked fine, no problems found! Thank you for your great job!

tags: added: patch
Kyle Montgomery (looshi08) wrote :

Installed all three binaries under 10.10. Still having the "Unknown Conduit" issue when I try to hotsync.

Stefano Prenna (stefanoprenna) wrote :

After my upgrade to 10.10 I have the "Unknown Conduit" in:

e_address_conduit
e_calendar_conduit
e_memo_conduit
e_todo_conduit

I'm attaching gpilotd's terminal output here.

Thanks,
Stefano

Matt Davey (mcdavey) wrote :

I'll take a look. I'm pretty sure what's happened is that 10.10 is shipping a fairly recent version of Evolution and a fairly old version of gnome-pilot. Recently, the evolution conduits moved from Evolution into the gnome-pilot code, so that gnome-pilot is no longer a dependency when building evolution. What we need is a gnome-pilot 2.32.0 package for Ubuntu. I'll take a look at updating the dpkg stuff above.

Kyle - are you seeing the same problem: missing the evolution conduits but seeing the other ones?

Matt Davey (mcdavey) wrote :
Matt Davey (mcdavey) wrote :
Matt Davey (mcdavey) wrote :

I have created a package for gnome-pilot 2.32.0. If you are running Ubuntu 10.10 and find that the Evolution conduits are missing, try building this v2.32.0 package.

NOTE: this package is not supported by me (or Canonical for that matter). I have tested it on my own box, but your mileage may vary. There's a good chance I'm missing some dependencies, etc., so please let me know if you have trouble building.

try the following:
     1. If you haven't already done so, download the deb build utilities
        using "sudo apt-get install dpkg-dev"
     2. Download the gnome-pilot build dependencies using "sudo apt-get
        build-dep gnome-pilot".
     3. download the files attached to comments #24, #25 and #26 above into a single directory
     4. Now unpack using "dpkg-source -x gnome-pilot_2.32.0-1.dsc"
     5. Now change directory into gnome-pilot-2.32.0 and run "dpkg-buildpackage -b". This should build
         three binary .deb files in the parent directory that you can install using "dpkg -i *deb"
     6. If you get an error due to missing dependencies, please let me know. You can probably fix the
         problem by running "sudo apt-get build-dep evolution".

Please post a comment if you have success/failure with the above.

Kyle Montgomery (looshi08) wrote :

I was able to build this after downloading the evolution dependencies. However, when I tried to sync my Palm TX I got an error stating "Unknown conduit "gptime1" in configure!" then it stalled out on the "Identifying User" step of the Hotsync.

At this time I have been unable to sync my Centro. I am unsure if this is a related issue or just Gnome-pilot being up to its old tricks again. I will continue to work with it.

It's progress at any rate.I appreciate everything you have done to help the situation.

Kyle Montgomery (looshi08) wrote :

Got the Centro to sync. It initially had the same problem as the TX, but I kept it from hanging during the sync by disabling the Time conduit.

So far Address, Calendar, Memo, and Todo all work. That's all I generally use so if there are issues with another conduit someone else will have to find it.

Thanks again for the assistance.

Matt Davey (mcdavey) wrote :

Hi Kyle,
Glad that worked. The time conduit is part of the gnome-pilot-conduits package, which isn't included above. Disabling the conduit for the moment is the right move!

Stefano Prenna (stefanoprenna) wrote :

Hello,

I was able to build the packages. Now the following conduits are not working:

gpexpense1
malconduit1
gpmemo1
gpsendmail1
gptime1

For all of them the error is: (gpilotd:30597): gpilotd-WARNING **: unable to g_module_open (/usr/lib/gnome-pilot/conduits/libtime_conduit.so), reason libgpilotd.so.2: cannot open shared object file: No such file or directory

All the others are fine and I can sync my Centro (backup, calendar, addresses...)

Matt Davey (mcdavey) wrote :

Understood. All those conduits are part of the 'gnome-pilots-conduits' package. If you don't need those conduits you can just ignore the messages. Otherwise, wait for a gnome-pilots-conduits package to appear :)

I have the same problem as Stepfano:

After my upgrade to 10.10 I have the "Unknown Conduit" in:
e_address_conduit
e_calendar_conduit
e_memo_conduit
e_todo_conduit

I tried #27 solution but it changed nothing.

Stefano Prenna (stefanoprenna) wrote :

Ok let's wait then, as I need the memo and time ones...

Thanks!

Matt Davey (mcdavey) wrote :

Pierre: can you do:
  dpkg -l gnome-pilot
and
  ls /usr/lib/gnome-pilot/conduits/ /usr/share/gnome-pilot/conduits/

Sorry for my comment. I haven't restarted gpilotd after applying #27 solution.
It works but the gptime1 and gpmemo1 doesn't work, as Stefano.
But I can't launch the synchronisation twice without restarting the daemon : the second time, the Palm doesn't authenticate itself.

And the progression Windows stays blank whitout any progression in it. But it works.

Matt Davey (mcdavey) wrote :

Pierre - have you restarted the panel applet? Or logged out/in?

I had closed and re-open my session. To be sure, I just restarted my computer and it seemes to be OK. Only the 2 warnings (gptime1 and gpmemo1). Sorry to have reported a problem whithout doing all the tests before.
Thank you for your support.
Best Regards.

silvagroup (casaba7339-ubuntu) wrote :

Thank you, had same problem, with no contacts and calendar conduits.
Followed steps in post #27, restarted and all is well again.

Matt Davey (mcdavey) wrote :
Matt Davey (mcdavey) wrote :
Matt Davey (mcdavey) wrote :

I have created a package for gnome-pilot-conduits 2.32.1. If you are running Ubuntu 10.10 and find that the time and memo-file conduits are missing, try building this v2.32.1 package.

NOTE: this package is not supported by me (or Canonical for that matter). I have tested it on my own box, but your mileage may vary. There's a good chance I'm missing some dependencies, etc., so please let me know if you have trouble building.

try the following:
     1. If you haven't already done so, download the deb build utilities
        using "sudo apt-get install dpkg-dev"
     2. Download the gnome-pilot build dependencies using "sudo apt-get
        build-dep gnome-pilot".
     3. download the files attached to comments #41, #42 and #43
         above into a single directory
     4. Now unpack using:
              "dpkg-source -x gnome-pilot-conduits_2.32.1-1.dsc"
     5. Now change directory into gnome-pilot-conduits-2.32.1 and run
              "dpkg-buildpackage -b"
         This should build a binary .deb file in the parent directory that you
         can install using "dpkg -i *deb"

Please post a comment if you have success/failure with the above.

Stefano Prenna (stefanoprenna) wrote :

Using the new package I'm now able to use conduits I need. However I've enabled all of them just for the sake of test and it seems that the "malconduit1" still have the famous: gpilotd-WARNING **: Unknown conduit, name="malconduit1"

If I remember well that is used for AvantGo sync...

Kenneth Dick (kend650) wrote :

I have had nothing but problems with Evolution (Palm conduits) since I upgraded from 10.04 to 10.10. I tried the previous fix, of installing the older version of Evolution, and locking the version (this worked), but today I inadvertently did an update and the update manager overwrote my locked versions of the Palm conduits stuff. So I looked at this fix, and tried it and it somewhat worked. First I had to use the -d option to override the OpenOffice stuff:

dpkg-checkbuilddeps: warning: can't parse dependency ooobasis31-en_us-calc
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis31-en_us-writer
dpkg-checkbuilddeps: warning: can't parse dependency ooobasis31-en_us-help
dpkg-checkbuilddeps: Unmet build dependencies: libgnome-pilot2-dev (>= 2.32.0)
dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting.
dpkg-buildpackage: warning: (Use -d flag to override.)

Then, I got this error:

...
checking return type of signal handlers... void
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GNOME_PILOT_CONDUITS... configure: error: Package requirements (
 gtk+-2.0 >= 2.13.0
 gnome-pilot-2.0 >= 2.32.0
 libxml-2.0
) were not met:

No package 'gnome-pilot-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GNOME_PILOT_CONDUITS_CFLAGS
and GNOME_PILOT_CONDUITS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Any additional help would be appreciated....

Thanks,
Ken

Marc BENVENISTE (mbte) wrote :

Hi,

Same trouble with a Centro after updating from 10.04 to 10.10.

I've followed Matt's #44 post, thanks to him, with the following outcome:
>gnome-pilot-conduits-2.32.1$dpkg-buildpackage -b
dpkg-buildpackage: export de CFLAGS depuis dpkg-buildflags (origine : vendor): -g -O2
dpkg-buildpackage: export de CPPFLAGS depuis dpkg-buildflags (origine : vendor):
dpkg-buildpackage: export de CXXFLAGS depuis dpkg-buildflags (origine : vendor): -g -O2
dpkg-buildpackage: export de FFLAGS depuis dpkg-buildflags (origine : vendor): -g -O2
dpkg-buildpackage: export de LDFLAGS depuis dpkg-buildflags (origine : vendor): -Wl,-Bsymbolic-functions
dpkg-buildpackage: paquet source gnome-pilot-conduits
dpkg-buildpackage: version source 2.32.1-1
dpkg-buildpackage: source changé par Matt Davey <email address hidden>
dpkg-buildpackage: architecture hôte i386
 dpkg-source --before-build gnome-pilot-conduits-2.32.1
dpkg-checkbuilddeps : dépendances de construction non trouvées : libgnome-pilot2-dev (>= 2.32.0)
dpkg-buildpackage: avertissement: Dépendances de construction et conflits non satisfaits ; échec.
dpkg-buildpackage: avertissement: (Utilisez l'option -d pour forcer.)

What can I do? I'm rather new to Ubuntu...
Thanks,
Marc

Matt Davey (mcdavey) wrote :

Kenneth, Mark,

You can't use the instructions in comment #44 to install the gnome-pilot-conduits v2.32.0 package unless you have previously installed gnome-pilot v2.32.0 using the instructions in comment #27.

Mark, I think you might just have to do the procedure in #27 first and you'll be in business.

Kenneth - you have installed the older Evolution. I suspect that was a fairly involved procedure! Your options are either to reinstall the new Evolution and then follow the instructions in comments #27 and #44, or else to download the gnome-pilot-conduits v2.0.17 source packages from 10.04 and install that. Probably best in the longer term to move to the newer Evolution?

Marc BENVENISTE (mbte) wrote :

Matt,

Sorry I didn't read properly your posts in thje first place.
I do confirm that everything works marvelously following your indications.
I've succeeded synchronizing my Centro with evolution 2.30.3 thanks to your packages.
Thanks a lot for that.

Do you happen to know how I can synchronize a Palm Pré Plus with Ubuntu without going through the cloud ?

Thanks again,

--Marc

Greg (gregala) wrote :

I just created an account to thank you, Matte Devey ! I followed instructions of posts #27 and #44 and it worked perfectly for me.

Thanks again !

Does it matter if I am running 64 bit?

I followed Matt Davey's posts #27 and #44 and my Palm Z22 synchronizes almost perfectly now. All conduits work (including the time conduit, which never worked in previous Ubuntu version) and, unlike all previous versions of Ubuntu, plugging my Palm into my computer doesn't crash the pda (even under 10.04, I would have to reset my pda 4 or 5 times after plugging it in before it would work).

However, if I create new memos (EMemos conduit) or new contacts (EAddress conduit) through evolution, these don't get sent to my pda. New contacts and memos on my pda get transfered to evolution just fine.

Thanks for your hard work.

Matt Davey (mcdavey) wrote :

Hi Marion,

It should work fine on 64bit. The steps in #27 and #44 describe building from source, which is independent of whether it's 32-bit or 64-bit.

Matt

Ignacio Olarte (iolartes) wrote :

Hello:

I'm running Ubuntu 10.10. I tried to do the steps in post #27 but I was unable to compile the deb files. Even after downloading the requested dependencies for gnome pilot and then the dependencies for evolution, I still get an error message. In my last two attemps I got the following error: debian /rules built gave error exit status 2.

I would like to summit the entire output, because I don't know if this last line by itself is meaningful; however I don't know how to do it.

Matt Davey (mcdavey) wrote :

Ignacio,
you can cut and paste your terminal output into a text file, and use the 'add attachment or patch' option below.

Ignacio Olarte (iolartes) wrote :

Thank Matt,
I'm attaching what I could copy of the output. Hope it is useful. Let me know if you any additional information.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-pilot - 2.32.0-0ubuntu1

---------------
gnome-pilot (2.32.0-0ubuntu1) natty; urgency=low

  * New upstream version (LP: #569601, LP: #665196)
  * debian/watch: updated URL
  * debian/rules: fix FTBFS by dropping LDFLAGS, remove references to
    GNOME_Pilot_Daemon.server.
  * debian/control: added libebook1.2-dev, libecal1.2-dev,
    libedataserverui1.2-dev to BuildDepends since evolution plugin is now
    in gnome-pilot.
  * Dropped patches:
    - allow_info_subsystem_with_hal.diff (not needed, pda.platform should
      be enough)
    - fix-help-ubuntu.diff (upstream)
    - fix-timeout-segfault-ubuntu.diff (upstream)
    - fix-panel-icon.diff (upstream)
    - gnome-pilot-menu-icon.diff (upstream)
 -- Marc Deslauriers <email address hidden> Wed, 26 Jan 2011 20:23:54 -0500

Changed in gnome-pilot (Ubuntu):
status: New → Fix Released
Ignacio Olarte (iolartes) wrote :

Excuse me, but I don't know what to do with this information. How can I install the gnome-pilot 2.32 in my system?

Ray Chandler (chandler3) wrote :

I've carefully followed the instructions at #27 and #44 but I can't get past the 'unpack' bit at bullet 4.
Whether I'm in the first directory of the terminal or the directory containing those downloaded files, I just get:
dpkg-source: error: can't open gnome-pilot_2.32.0-1.dsc: No such file or directory.
What am I doing wrong? (I'm not familiar with unpacking, building, etc).

Matt Davey (mcdavey) wrote :

You should be running dpkg-source from the same directory as the files you downloaded.

Can you send the output of "ls", plus the dpkg-source command that you are running?

Ray Chandler (chandler3) wrote :

Thanks - the ls of the download directory is:
debian gnome-pilot-2.32.0 gnome-pilot_2.32.0-1.dsc.txt

The command typed, after going to that directory, was: dpkg-source -x gnome-pilot_2.32.0-1.dsc

Ray Chandler (chandler3) wrote :

I noticed my downloading and saving of the files had added ".txt" to the .dsc file, so I renamed it leaving off the .txt and tried again.
This time I got the following (tried both with or without a preceding sudo):

gpgv: Signature made Tue 12 Oct 2010 20:54:01 BST using DSA key ID DFA1E1F1
gpgv: Can't check signature: public key not found
dpkg-source: warning: failed to verify signature on ./gnome-pilot_2.32.0-1.dsc
dpkg-source: error: cannot fstat file ./gnome-pilot_2.32.0.orig.tar.bz2: No such file or directory

Any more guidance on how I can progress this? I would really like to get sync going between Evolution and my Palm.

Ray Chandler (chandler3) wrote :

It occured to me that something was going wrong in my downloading of those three files, so I tried again but just dragged them across from your posts into the directory I'd created (rather than clicking to download and then saving them there).
Then the unpacking, building and installing all went OK, and the Evolution conduits now appear.

So that's great - thanks. Only trouble is I'm now getting an initial 'synchronising' message on the Palm but quickly followed by a 'connection lost' and no data transferred. Or on other tries I get a hang-up at the 'Identifying user' stage.

Ray Chandler (chandler3) wrote :

Sync probs now solved. Not sure how - just fiddled with settings and kick-started both the Palm and the Computer, and everything now fine.

Many thanks Matt for the conduits solution.

First class work: thank you for the very clear instructions.

For reference, no reboot is necessary. Complete the build and install steps, then:

killall gpilotd
killall gpilot-applet
(and allow it to reload when prompted)

Hi!
Thanks for the fix. But now i got the "Initial Synchronization" dialog box and can't synchronize the PDA data. Then it won't connect via bluethooth or cradle cable anymore. It says that daemon is not running but it is!
What i did:
 # Installed gnome-pilot from synaptic manager
 # Followed instructions in post #27 and #44
 # Killed the gpilotd and gpilot-applet, then reloaded when prompted as in post #65. It won't connect.
 # Rebooted my laptop and nothing.

Is there a chance package "pilot-link" is causing trouble? if it is, is there a fix?

Some useful data (from apt-show-versions) in the attached txt.

Matt Davey (mcdavey) wrote :

Just for the record, Joaquin's problem is to do with international (non-7bit ascii) characters. This can be caused by accented characters in the Owner's name, for example. I'm working on a fix.

Matt Davey (mcdavey) wrote :

Joaquín, I have posted a patch to upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=641289

It would be great if you could test this. Please mail me if you need detailed instructions.

Matt Davey (mcdavey) wrote :
Matt Davey (mcdavey) wrote :

Joaquín,
you can test this fix by downloading #69, #70 and gnome-pilot_2.32.0.orig.tar.bz2 (from http://ftp.kaist.ac.kr/ubuntu/pool/universe/g/gnome-pilot/gnome-pilot_2.32.0.orig.tar.bz2 for example) and following the instructions in #18, just using 2.32.0 instead of 2.0.17.

I've tested it and here are my impressions.

I've managed to change the name with non-ASCII characters but it requires a
tweak to work: If you use the charset for the PDA as CP1252 then the character 'í'
is passed as '~A' in the handheld. So, I've changed the charset to BIG5 then
sent the info data and back to CP1252. If the
charset remains at BIG5 I'm unable to sync, and if the 'í' char is passed as
'~A' can't sync either (maybe a typo in the charset selection?).

Then there was another issue: the status window that pops up every time I sync
my palm gone away. Never showed up anymore.

I'm opening a new issue on the conduits configure (specially the EToDo conduit
that works as a copier) but unfortunately my Palm is gone for service for about
a week or so, so I'm unavailable for testing in the meantime.

The issue is "partially" solved but i have no clue on the gone status window.

Thanks for your time Matt. I hope i can use this software on daily basis.

(got my palm back, im filing the issues on Evolution conduits malfunction)

To post a comment you must log in.